Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 342113 - media-gfx/inkscape-0.47 didn't get added to preserved-rebuild after upgrade of poppler
Summary: media-gfx/inkscape-0.47 didn't get added to preserved-rebuild after upgrade o...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: preserve-libs
  Show dependency tree
 
Reported: 2010-10-22 05:44 UTC by P Purkayastha
Modified: 2011-05-18 19:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description P Purkayastha 2010-10-22 05:44:45 UTC
media-gfx/inkscape-0.47 should have gotten added to preserved rebuild after upgrade of app-text/poppler from 0.14.1 to 0.14.4. 

Reproducible: Always

Steps to Reproduce:
1. Have a system in which poppler-0.14.1 wasn't upgraded to 0.14.4
2. portage-2.2_rc97
3. upgrade poppler and then run inkscape

Actual Results:  
inkscape: error while loading shared libraries: libpoppler.so.5: cannot open shared object file: No such file or directory


Expected Results:  
inkscape does not run, but portage didn't preserve libpoppler.so.5 and so no warning was given regarding requiring inkscape to recompile.

portage should have preserved libpoppler.so.5 and added inkscape to preserved-rebuild.
Comment 1 P Purkayastha 2010-10-22 05:46:25 UTC
Forgot to add the following:
~> inkscape
inkscape: error while loading shared libraries: libpoppler.so.5: cannot open shared object file: No such file or directory
~ [127] > eix -I poppler
[I] app-text/poppler
     Available versions:  0.14.1!t 0.14.4!t {+abiword cairo cjk curl cxx debug doc exceptions jpeg jpeg2k +lcms png qt4 +utils +xpdf-headers}
     Installed versions:  0.14.4!t(12:28:58 PM 10/16/2010)(abiword cairo curl cxx jpeg lcms png qt4 utils xpdf-headers -cjk -debug -doc -exceptions -jpeg2k)
     Homepage:            http://poppler.freedesktop.org/
     Description:         PDF rendering library based on the xpdf-3.0 code base

[I] dev-python/python-poppler
     Available versions:  0.12.1 {examples}
     Installed versions:  0.12.1(07:13:51 AM 04/22/2010)(-examples)
     Homepage:            http://launchpad.net/poppler-python
     Description:         Python bindings to the Poppler PDF library

Found 2 matches.
~> su -
Password: 
~> eix -e inkscape
[I] media-gfx/inkscape
     Available versions:  0.47!t ~0.48.0!t {debug dia gnome gs inkjar lcms mmx nls spell wmf}
     Installed versions:  0.47!t(06:00:49 05/28/10)(lcms nls spell wmf -debug -dia -gnome -gs -inkjar -mmx)
     Homepage:            http://www.inkscape.org/
     Description:         A SVG based generic vector-drawing program



My emerge --info:
Portage 2.2_rc97 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-tuxonice-r6 x86_64)
=================================================================
System uname: Linux-2.6.34-tuxonice-r6-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7100_@_1.80GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 16 Oct 2010 04:00:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.34 (sys-kernel/linux-headers)
Repositories: gentoo enlightenment myself
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /usr/share/xsessions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.jaist.ac.jp/pub/Linux/Gentoo ftp://gentoo.mirrors.pair.com http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/enlightenment /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi akonadi alsa amd64 bash-completion berkdb branding bzip2 cairo cdda cddb cdr cli consolekit cracklib crypt cups curl curlwrappers cxx dbus djvu dri dts dvd dvdr encode exif fam fbcon ffmpeg flac fontconfig ftp fuse gdbm gif gnutls gphoto2 gpm gstreamer gtk hal iconv ieee1394 imagemagick jpeg kde lame lcms ldap libsamplerate lzma mad mmap mmx mmx2 mng modules mp3 mp4 mpeg mudflap multilib musepack musicbrainz ncurses networkmanager nls nptl nptlonly ogg opengl openmp oss pam pango pch pcmcia pcre pdf perl plasma png ppds pppd python qt3support qt4 readline reflection savedconfig sdl session smp speex spell sqlite srt sse sse2 ssl ssse3 startup-notification svg sysfs taglib tcpd theora threads tiff truetype unicode usb v4l v4l2 vdpau vim-syntax vorbis wicd wmf x264 xattr xcf xcomposite xft xine xinerama xml xorg xosd xpm xulrunner xv xvid xvmc yv12 zeroconf zlib zsh-completion" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PHP_TARGETS="php-5.2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 P Purkayastha 2010-10-22 06:22:05 UTC
Output of revdep-rebuild (it seems more packages needed to be compiled):

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 16% ]  *   broken /usr/bin/luatex (requires libpoppler.so.5)
[ 18% ]  *   broken /usr/bin/pdf2svg (requires libpoppler-glib.so.4)
[ 53% ]  *   broken /usr/lib64/gimp/2.0/plug-ins/file-pdf (requires libpoppler-glib.so.4)
[ 85% ]  *   broken /usr/lib64/python2.6/site-packages/poppler.so (requires libpoppler-glib.so.4)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/luatex -> dev-tex/luatex
 *   /usr/bin/pdf2svg -> media-gfx/pdf2svg
 *   /usr/lib64/gimp/2.0/plug-ins/file-pdf -> media-gfx/gimp
 *   /usr/lib64/python2.6/site-packages/poppler.so -> dev-python/python-poppler
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --oneshot --with-bdeps=y --pretend --verbose dev-python/python-poppler:0
dev-tex/luatex:0
media-gfx/gimp:2
media-gfx/pdf2svg:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-python/python-poppler-0.12.1  USE="-examples" 0 kB
[ebuild   R   ] media-gfx/gimp-2.6.8  USE="alsa curl dbus exif hal jpeg lcms mmx mng pdf png python smp sse svg tiff wmf -aalib (-altivec) -debug -doc -gnome -webkit" 0 kB
[ebuild   R   ] media-gfx/pdf2svg-0.2.1  0 kB
[ebuild   R   ] dev-tex/luatex-0.50.0-r1  USE="-doc" 4 kB

Total: 4 packages (4 reinstalls), Size of downloads: 4 kB
 * Now you can remove -p (or --pretend) from arguments and re-run revdep-rebuild.
Comment 3 Zac Medico gentoo-dev 2011-05-18 19:20:26 UTC
In 2.2.0_alpha34 there are lots of preserve-libs fixes, including bug 286714. Please re-open if you can still reproduce this with 2.2.0_alpha34.